<?php

// QuickTeam 2.5 build:20110523

function Sectionlist($selected=-1,$arrReject=array(),$arrDisabled=array())
{
  if ( is_string($selected) ) { if ( is_numeric($selected) ) { $selected=(int)$selected;} else { $selected=-1; } }
  if ( is_int($arrReject) || is_string($arrReject) ) $arrReject = array($arrReject);
  if ( is_int($arrDisabled) || is_string($arrDisabled) ) $arrDisabled = array($arrDisabled);
  QTargs('Sectionlist',array($selected,$arrReject,$arrDisabled),array('int','arr','arr'));
  global $oVIP;
  $str = '';

  if ( isset($oVIP->sections) ) {
  if ( count($oVIP->sections)>0 ) {
    
    // reject
    $arr = $oVIP->sections;
    if ( count($arrReject)>0 ) { foreach($arrReject as $id) if ( isset($arr[$id]) ) unset($arr[$id]); }
    
    // format
    if ( count($arr)>3 && count($oVIP->domains)>1 )
    {
      $arr = GetSections($oVIP->role,-2,$arrReject);// get all sections at once (grouped by domain)
      foreach ($oVIP->domains as $intDom=>$strDom)
      {
        if ( isset($arr[$intDom]) ) {
        if ( count($arr[$intDom])>0 ) {
          $str .= '<optgroup label="'.$strDom.'">';
          foreach($arr[$intDom] as $id=>$row) $str .= '<option value="'.$id.'"'.($id===$selected ? QSEL : '').(in_array($id,$arrDisabled,true) ? ' disabled="disabled"': '').'>'.$row['title'].'</option>';
          $str .= '</optgroup>';
        }}
      }
    }
    else
    {
      foreach($arr as $id=>$strSection) $str .= '<option value="'.$id.'"'.($id===$selected ? QSEL : '').(in_array($id,$arrDisabled,true) ? ' disabled="disabled"': '').'>'.$strSection.'</option>';
    }

  }}
  return $str;
}

// --------

function HtmlPageCtrl($intType=0,$strWidth='')
{

if ( empty($strWidth) ) $strWidth=$_SESSION[QT]['site_width'];
switch ($intType)
{
case 0: echo '
<!-- PAGE CONTROL -->
<div class="qte">
<div class="page" style="width:',$strWidth,(substr($strWidth,-1)=='%' ? '' : 'px'),'">
';
break;
case 1: echo '
<!-- END PAGE CONTROL -->
</div>
</div>
';
break;
}

}

// --------

function HtmlBanner($intType=0,$strSkin='',$strLogo='',$strLangMenu='')
{

if ( empty($strSkin) ) $strSkin=$_SESSION[QT]['skin_dir'];
if ( empty($strLogo) ) $strLogo='qte_logo.gif';

switch ($intType)
{
case 0: echo '
<!-- banner -->
<div class="banner">
<div class="bannerleft"><img class="banner_logo" src="',$strSkin,'/',$strLogo,'" alt="',$_SESSION[QT]['site_name'],'" title="',$_SESSION[QT]['site_name'],'" /></div>
<div class="bannerright">',$strLangMenu,'</div>
</div>
';
break;
case 1: echo '
<!-- banner -->
<div class="nobanner">
<div class="nobannerleft">&nbsp;</div>
<div class="nobannerright">&nbsp;',$strLangMenu,'</div>
</div>
';
break;
case 2: echo '
<!-- banner -->
<div class="banner">
<div class="bannerleft"><img src="',$strSkin,'/',$strLogo,'" width="150" height="50" style="border-width:0" alt="QuickTeam" title="QuickTeam" /></div>
</div>
';
break;
}

}

// --------

function HtmlLettres($strGroup,$s,$str='All')
{
  global $oVIP;
  $strGroups = '<td class="lettres'.($strGroup=='all' ? ' active' : '').'" style="width:35px;">'.($strGroup=='all' ? $str : '<a class="lettres" href="'.$oVIP->selfurl.'?group=all'.(isset($s) ? '&amp;s='.$s : '').'">'.$str.'</a>' ).'</td>';
  for ($g='A';$g!='AA';$g++)
  {
  $strGroups .= '<td class="lettres'.($strGroup==$g ? ' active' : '').'" style="width:18px;">'.($strGroup==$g ? $g : '<a class="lettres" href="'.$oVIP->selfurl.'?group='.$g.(isset($s) ? '&amp;s='.$s : '').'">'.$g.'</a>' ).'</td>';
  }
  $strGroups .= '<td class="lettres'.($strGroup=='0' ? ' active' : '').'" style="width:18px;">'.($strGroup=='0' ? '#' : '<a class="lettres" href="'.$oVIP->selfurl.'?group=0'.(isset($s) ? '&amp;s='.$s : '').'">#</a>' ).'</td>';
  return $strGroups.'<td class="hidden">&nbsp;</td>'.PHP_EOL;
}

// --------

function HtmlPage($e=0)
{

global $oVIP,$oHtml,$L;
$oVIP->selfurl='errorpage';
include('qte_p_header.php');

if ( $e==99 )
{
$strFile = Translate('sys_offline.txt'); if ( file_exists($strFile) ) { include($strFile); } else { echo Error(10); }
}
else
{
$oHtml->Msgbox('!'); echo Error($e); $oHtml->Msgbox();
}

include('qte_p_footer.php');
exit;

}

// --------

function HtmlTabs($arrTabs=array(0=>'Empty'),$strUrl='', $strCurrent='',$intMax=6,$bFirst=true,$bLast=true,$strWarning='Data not yet saved. Quit without saving?')
{

// tabx means the last tab (can be special due to popup)
// if defined, the class/style tab_on replaces the class/style tab (but you can cumulate the classes in the definition)
// if defined, the class/style tabx_on replaces the class/style tabx (but you can cumulate the styles in the definition)
// When strCurrent is defined, this tab will not be clickable
// $arrTabs can be an array of: strings, arrays, cTab


$iCurrent=1;
foreach(array_keys($arrTabs) as $strKey)
{
  if ($strKey==$strCurrent) break;
  $iCurrent++;
}

// check

if ( !is_array($arrTabs) ) die('HtmlTabs: Argument #1 must be an array');
if ( !empty($strUrl) ) { if ( !strstr($strUrl,'?') ) $strUrl .= '?'; }

// display

echo'
<!-- tab header begin -->
<table cellspacing="0" class="tab">
';

$strOuts=''; $strOut=''; $intRow=0; $intCol=0;
foreach($arrTabs as $strKey=>$oTab)
{
  if ( $intCol==0 )
  {
    $strOut = '<tr class="tab">'."\n";
    if ( $bFirst ) $strOut .= '<td class="tab '.($intRow==0 ? 'tab_begin' : 'tab_hidden').'">&nbsp;</td>'."\n";
    $intCol++;
  }
  if ( $intCol>0 )
  {
    $strTab = '';
    $strTabDesc = '';
    // extract name and description from the object in arrTabs: can be a string, an array or a cTab
    if ( is_string($oTab) )
    {
      $strTab = $oTab;
    }
    elseif ( is_array($oTab) )
    {
      if ( isset($oTab['tabdesc']) )
      {
        if ( !empty($oTab['tabdesc']) ) $strTabDesc = $oTab['tabdesc'];
      }
      if ( isset($oTab['tabname']) )
      {
        if ( !empty($oTab['tabname']) ) { $strTab=$oTab['tabname']; } else { $strTab=ObjTrans('tab',$strKey); }
      }
      else
      {
        $strTab=ObjTrans('tab',$strKey);
      }
    }
    elseif ( strtolower(get_class($oTab))=='ctab' )
    {
      $strTabDesc = $oTab->tabdesc;
      $strTab = $oTab->tabname; if ( empty($strTab) ) $strTab = $oTab->tabid;
    }
    else
    {
      die('HtmlTabs: Arg #1 must be an array of strings, arrays or cTab');
    }
    $strOut .= '<td class="tab tab_'.($strCurrent==$strKey ? 'on' : 'off').'_l">&nbsp;</td>';
    $strOut .= '<td class="tab tab_'.($strCurrent==$strKey ? 'on' : 'off').'_c">';
    if ( empty($strUrl) || $strCurrent==$strKey )
    {
    $strOut .=  $strTab;
    }
    else
    {
    $strOut .=  '<a class="tab" href="'.$strUrl.'&amp;tt='.$strKey.'"'.(empty($strTabDesc) ? '' : ' title="'.$strTabDesc.'"').' onclick="return qtEdited(bEdited,\''.$strWarning.'\');">'.$strTab.'</a>';
    }
    $strOut .= '</td>';
    $strOut .= '<td class="tab tab_'.($strCurrent==$strKey ? 'on' : 'off').'_r">&nbsp;</td>'."\n";
    $intCol++; 
  }
  if ( $intCol>$intMax || $intCol>count($arrTabs) )
  {
    if ( $bLast ) $strOut .= '<td class="'.($intRow==0 ? 'tab tab_end' : 'hidden').'">&nbsp;</td>'."\n";
    $strOut .= '</tr>'."\n";
    $intCol=0;
    $strOuts = $strOut.$strOuts;
    $intRow++;
  }
}
if ( $intCol>0 )
{
  while($intCol<=$intMax) { $strOut .= '<td class="tab tab_a">&nbsp;</td>'; $intCol++; }
  if ( $bLast ) $strOut .= '<td class="tab'.($intRow==0 ? ' tab_end' : ' tab_hidden').'">&nbsp;</td>'."\n";
  $strOut .= '</tr>';
  $strOuts = $strOut.$strOuts;
}
echo $strOuts;

echo '
</table>
<!-- tab header end -->
';
}

// --------

function TableEmpty($strMsg='...')
{
  $arrFLD = array( new cFLD('0','&nbsp;','colhd colhdfirst','width:10px','colct colfirst'), new cFLD('1','&nbsp;','colhd','','colct'), new cFLD('2','&nbsp;','colhd colhdlast','width:10px','colct collast'));
  echo '<table class="data_t" cellspacing="0" summary="empty table"><tr class="data_t">',PHP_EOL;
  echo '<thead>',PHP_EOL;
  echo '<tr class="data_t">'; TableHeader($arrFLD,0); echo '</tr>',PHP_EOL;
  echo '</thead>',PHP_EOL;
  echo '<tfoot>',PHP_EOL;
  echo '<tr class="data_t"><td class="colft colftfirst"></td>'; for($i=0;$i<(count($arrFLD)-2);$i++) echo '<td class="colft"></td>'; echo '<td class="colft colftlast"></td></tr>',PHP_EOL;
  echo '</tfoot>',PHP_EOL;
  echo '<tbody>',PHP_EOL;
  echo '<tr class="data_t"><td class="colct r1">&nbsp;</td><td class="colct r1"><p>',$strMsg,'</p></td><td class="colct r1">&nbsp;</td></tr>',PHP_EOL;
  echo '</tbody></table>',PHP_EOL;
  echo '<br />';
}

// --------

function TableHeader($arrFLD,$intCount=0,$strUrl='',$strOrder='lastpostdate',$strDir='DESC')
{
  $img['ASC'] = ' <img class="ico i_sort" src="'.$_SESSION[QT]['skin_dir'].'/sort_asc.gif" alt="+" />';
  $img['DESC']= ' <img class="ico i_sort" src="'.$_SESSION[QT]['skin_dir'].'/sort_desc.gif" alt="-" />';
  
  foreach($arrFLD as $strKey=>$oFLD)
  {
    // change the text to hyperlink+image when necessary
    if ( $oFLD->sort && $intCount>2 && !empty($strUrl) )
    {
      if ( $strKey==$strOrder )
      {
      $str = '<a href="'.Href($strUrl).'&amp;order='.$oFLD->uid.'&amp;dir='.($strDir=='ASC' ? 'DESC' : '').($strDir=='DESC' ? 'ASC' : '').'"'.(!empty($oFLD->class_th) ? ' class="'.$oFLD->class_th.'"' : '').'>'.$oFLD->name.'</a>'.$img[$strDir];
      }
      else
      {
      $str = '<a href="'.Href($strUrl).'&amp;order='.$oFLD->uid.'&amp;dir='.$oFLD->sort.'"'.(!empty($oFLD->class_th) ? ' class="'.$oFLD->class_th.'"' : '').'>'.$oFLD->name.'</a>';
      }
    }
    else
    {
    $str = $oFLD->name;
    }
    echo '<td',(isset($oFLD->class_th) ? ' class="'.$oFLD->class_th.'"' : ''),(!empty($oFLD->style_th) ? ' style="'.$oFLD->style_th.'"' : ''),'>',$str,'</td>',PHP_EOL;
  }
}

// ----------------

function TableRowShow($arrFLD,$arr,$strRowClass='table_o r1',$arrSrc=array())
{
  global $oVIP;
  echo '<tr class="',$strRowClass,'">',PHP_EOL;
  foreach($arrFLD as $strKey=>$oFLD)
  {
    $strFullClass = $oFLD->class_td.($oFLD->class_dynamic ? $oFLD->AddClassDynamic($arrSrc) : ''); // in case of dynamic class
    $strFullStyle = $oFLD->style_td.($oFLD->style_dynamic ? $oFLD->AddStyleDynamic($arrSrc) : ''); // in case of dynamic style
    $strClass = ''; if ( !empty($strFullClass) ) $strClass = ' class="'.$strFullClass.'"';
    $strStyle = ''; if ( !empty($strFullStyle) ) $strStyle = ' style="'.$strFullStyle.'"';
    // show column (empty value is replaced by &nbsp;)
    if ( !isset($arr[$strKey]) ) $arr[$strKey]='&nbsp;';
    if ( $arr[$strKey]==='' ) $arr[$strKey]='&nbsp;';
    echo '<td',$strClass,$strStyle,'>',$arr[$strKey],'</td>'.PHP_EOL;
  }
  echo '</tr>',PHP_EOL;
}

// --------

function TableUserFormat($arrFLD,$row,$s=null,$bMap=false,$bCsv=false,$qte_root='',$arrSearch=array(),$bImageLink=true)
{
  $arr = array();
  global $oVIP,$L,$arrExtData;

  $oUser = new cUser($row,true);

  // coord
  $strCoord='';
  $strLatLon='';
  if ( $bMap && !empty($oUser->y) && !empty($oUser->x) )
  {
    $y = floatval($oUser->y);
    $x = floatval($oUser->x);
    $strCoord = '<a href="javascript:void(0)"'.(!$_SESSION[QT]['m_map_hidelist'] ? ' onclick="map.setCenter(new GLatLng('.$y.','.$x.')); return false;"' : '').' title="'.$L['Coord'].': '.round($y,8).','.round($x,8).'"><img class="ico" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_m_1.gif" alt="G" title="'.$L['Coord_latlon'].' '.QTdd2dms($y).','.QTdd2dms($x).'" /></a>';
    $strLatLon = QTdd2dms($y).($oVIP->output=='csv' ? ' ' : '<br />').QTdd2dms($x);
    if ( empty($strCoord) ) $strCoord = '<img class="ico i_user" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_m_0.gif" alt="G" title="No coordinates" />';

    // map points
    if ( isset($s) )
    {
      $str = QTconv(substr($oUser->fullname,0,50),'3',QTE_CONVERT_AMP);
      // add telephone and mail if not private
      if ( !strstr($oUser->privacy,"phones") ) $str .= '<br/>'.str_replace('; ','<br/>',$oUser->phones);
      $str .= '<br/>'.( !strstr($oUser->privacy,'emails') ? '<a class="gmap" href="mailto:'.$oUser->emails.'">'.$L['Email'].'</a> &middot; ' : '').'<a class="gmap" href="qte_usr.php?id='.$oUser->id.'">'.$L['map']['View_item'].'</a>';
      // add picture
      if ( !empty($oUser->picture) ) 
      {
      $str = '<table class="gmap"><tr><td>'.AsImg($oUser->picture,'',$oUser->lastname,'img_big').'</td><td>'.$str.'</td></tr></table>';
      }
      $oMapPoint = new cMapPoint( floatval($oUser->y),floatval($oUser->x),QTconv(substr($oUser->firstname.' '.$oUser->lastname,0,50),'-4'),$str );
      if ( isset($_SESSION[QT]['m_map'][$s]['icon']) )        $oMapPoint->icon = $_SESSION[QT]['m_map'][$s]['icon'];
      if ( isset($_SESSION[QT]['m_map'][$s]['shadow']) )      $oMapPoint->shadow = $_SESSION[QT]['m_map'][$s]['shadow'];
      if ( isset($_SESSION[QT]['m_map'][$s]['printicon']) )   $oMapPoint->printicon = $_SESSION[QT]['m_map'][$s]['printicon'];
      if ( isset($_SESSION[QT]['m_map'][$s]['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map'][$s]['printshadow'];
      $arrExtData[intval($oUser->id)] = $oMapPoint;
    }
  }
  if ( $bMap && empty($strCoord) ) $strCoord = '<img class="ico i_user" src="'.$_SESSION[QT]['skin_dir'].'/ico_user_m_0.gif" alt="G" title="No coordinates" />';

  // ::::::::::
  foreach($arrFLD as $strKey=>$oFLD) {
  // ::::::::::

  if ( $bCsv ) 
  {
  
    $str='';
    switch($strKey)
    {
    case 'status_i':
    case 'status':    $str = $oVIP->statuses[$oUser->status]['statusname']; break; 
    case 'role':      $str = $L['Userrole'][$oUser->role]; break; 
    case 'children':  $str[$strKey] = AsFormat(($oUser->coppa=='0' ? $L['N'] : $L['Y']),$oFLD->format); break;
    case 'picture':   $str = (empty($oUser->picture) ? $L['N'] : $L['Y']); break;
    case 'birthdate': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,false,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'teamdate1': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,true,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'teamdate2': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,true,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'registration': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,false,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'address':   $str = implode(',',AsList($oUser->address,$_SESSION[QT]['viewmode']=='C')); break;
    case 'phones':    $str = implode(',',AsList($oUser->phones,$_SESSION[QT]['viewmode']=='C')); break;
    case 'coord':     $str = str_replace('&#176;','',$strLatLon); break;
    case 'uid': $str = $oUser->id; break;
    default: if ( isset($oUser->$strKey) ) $str = $oUser->$strKey; break;
    }
    $arr[$strKey] = ToCsv($str);

  }
  else
  {

    $str = '&nbsp;';

    switch ($strKey)
    {
    case 'status_i':  $str = AsImg($qte_root.$_SESSION[QT]['skin_dir'].'/'.$oVIP->statuses[$oUser->status]['icon'],$oUser->status,$oVIP->statuses[$oUser->status]['statusname'],'ico i_status','',($bImageLink ? $qte_root.'qte_user.php?id='.$oUser->id : '')); break;
    case 'status':    $str = $oVIP->statuses[$oUser->status]['statusname']; $strStyle=' style="background-color:'.$oVIP->statuses[$oUser->status]['color'].'"';  break; 
    case 'role':      $str = $L['Userrole'][$oUser->role]; break; 
    case 'username':  $str = '<a href="'.$qte_root.Href('qte_user.php').'?id='.$oUser->id.'" title="'.$oUser->fullname.'">'.$oUser->username.'</a>'; if ( !empty($strCoord) ) { $str .= ' '.$strCoord; $strCoord=''; } break; // strCoord is reset to be displayed only once.
    case 'firstname': $str = '<a href="'.$qte_root.Href('qte_user.php').'?id='.$oUser->id.'" title="'.$oUser->fullname.'">'.$oUser->firstname.'</a>'; if ( !empty($strCoord) ) { $str .= ' '.$strCoord; $strCoord=''; } break;
    case 'lastname':  $str = '<a href="'.$qte_root.Href('qte_user.php').'?id='.$oUser->id.'" title="'.$oUser->fullname.'">'.$oUser->lastname.'</a>'; if ( !empty($strCoord) ) { $str .= ' '.$strCoord; $strCoord=''; } break;
    case 'fullname':  $str = '<a href="'.$qte_root.Href('qte_user.php').'?id='.$oUser->id.'" title="'.$oUser->fullname.'">'.$oUser->fullname.'</a>'; if ( !empty($strCoord) ) { $str .= ' '.$strCoord; $strCoord=''; } break;
    case 'children':  $str[$strKey] = AsFormat(($oUser->coppa=='0' ? $L['N'] : $L['Y']),$oFLD->format); break;
    case 'picture':   $str = ( empty($oUser->picture) ? '&nbsp;' : AsImg($qte_root.$oUser->picture,'',$oUser->fullname,'memberlist view'.$_SESSION[QT]['viewmode'],'',($bImageLink ? $qte_root.'qte_user.php?id='.$oUser->id : '')) ); break; 
    case 'birthdate': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,false,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'teamdate1': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,true,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'teamdate2': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,true,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'registration': if ( !empty($oUser->$strKey) ) { if ( QTisvaliddate($oUser->$strKey,true,false,false) ) $str = QTdatestr($oUser->$strKey,'$','',false); } break;
    case 'address':   $str = ($_SESSION[QT]['viewmode']=='C' ? implode(' ',AsList($oUser->address,true)) : implode('<br />',AsList($oUser->address,false))); break;
    case 'phones':    $str = ($_SESSION[QT]['viewmode']=='C' ? implode(' ',AsList($oUser->phones,true)) : implode('<br />',AsList($oUser->phones,false))); break;
    case 'coord':     $str = $strLatLon; break;
    case 'www':
      $arrList = AsList($oUser->www,$_SESSION[QT]['viewmode']=='C');
      foreach($arrList as $intKey=>$strValue) 
      {
        $arrList[$intKey] = AsUrl(trim($strValue),true,array('class'=>'small','target'=>'_blank','label'=>DropHttp($strValue)));
      }
      $str = implode('<br />',$arrList);
      break;         
    case 'emails':
      $arrList = AsList($oUser->emails,$_SESSION[QT]['viewmode']=='C');
      foreach($arrList as $intKey=>$strValue)
      {
        $arrList[$intKey] = AsEmailText(trim($strValue),'mail_'.$oUser->id.'_'.$intKey,true,QTE_JAVA_MAIL,array('class'=>'small'));
      }
      $str = ($_SESSION[QT]['viewmode']=='C' ? implode(' ',$arrList) : implode('<br />',$arrList));
      break;         
    case 'emails_i':
      $arrList = AsList($oUser->emails,$_SESSION[QT]['viewmode']=='C');
      foreach($arrList as $intKey=>$strValue)
      {
        if ( $strValue!='...' ) $arrList[$intKey] = ' '.AsEmailImage(trim($strValue),'mail_'.$oUser->id.'_'.$intKey,true,QTE_JAVA_MAIL,array(),$qte_root).(is_float($intKey/2) ? '<br />' : '');
      }
      $str = trim(($_SESSION[QT]['viewmode']=='C' ? implode(' ',$arrList) : implode('',$arrList)));
      break;
    case 'ufield': $str = ObjTrans('field',$arrSearch['ufield']).'<br /><span class="small">'.strtolower($arrSearch['ukey']).'</span>'; break;
    default:       $str = AsFormat($oUser->$strKey,$oFLD->format); break;
    }
    $arr[$strKey] = $str;
    
  }
  // ::::::::::
  }
  // ::::::::::

  return $arr;
}