<?php 

// QuickTeam 2.5 build:20110323

session_start();
require_once('bin/qte_init.php');
if ( $oVIP->role!='A' ) die('Access denied');
$oVIP->selfurl='qte_adm_const.php';

function ConstantToString($str)
{
  if ( is_string($str) ) return '"'.str_replace('&','&amp;',$str).'"';
  if ( is_bool($str) ) return ($str ? 'TRUE' : 'FALSE');
  if ( is_array($str) ) return 'array of '.count($str).' values';
  return $str;
}

// HTML start

include(Translate('qte_adm.php'));
include('qte_adm_p_header.php');

// CONSTANT

echo '<p>Here are major constants. To have a full list of constants see the file /bin/qte_ini.php.</p>';

echo '
<table class="data_o" cellspacing="0">
<colgroup span="2"><col width="200"></col><col></col></colgroup>
<tr class="data_o">
<td class="colhd colhdfirst">QT</td>
<td class="colct">'.ConstantToString(constant('QT')).'</td>
</tr>
';

foreach(array('QTE_CHANGE_USERNAME','SHOW_CONTRAST','SHOW_TIME','SHOW_MEMBERLIST','SHOW_MODERATOR','SHOW_GOTOLIST','USE_COPPA','CHILDREN','CRUMBTRAIL','CONVERT_AMP','SIMPLESEARCH ','DIR_PIC','DIR_DOC','LIST_ME','LIST_TAG','JAVA_MAIL','WEEKSTART','STAFFEDITSTAFF','STAFFEDITADMIN','URLREWRITE') as $str)
{
if ( defined('QTE_'.$str) ) echo '<tr class="data_o"><td class="colhd colhdfirst">QTE_'.$str.'</td><td class="colct" >'.ConstantToString(constant('QTE_'.$str)).'&nbsp;</td></tr>',PHP_EOL;
}

echo '
</table>
';

// DB PARAMETERS

echo '<p>Here are the database connection parameters</p>';

echo '
<table class="data_o" cellspacing="0">
<colgroup span="2"><col width="200"></col><col></col></colgroup>
';
foreach(array('qte_dbsystem','qte_host','qte_database','qte_prefix','qte_user','qte_port','qte_dsn','qte_install') as $str)
{
if ( isset($$str) ) echo '<tr class="data_o"><td class="colhd colhdfirst">$'.$str.'</td><td class="colct" >'.$$str.'&nbsp;</td></tr>',PHP_EOL;
}
echo '
</table>
';

include('qte_adm_p_footer.php');