<?php

// QuickTeam 2.5 build:20110323

ob_start();

// --------
// INITIALISE
// --------

// check LangMenu condition

$strLangMenu = '';
if ( $_SESSION[QT]['userlang']=='1' )
{
  if ( file_exists('bin/qte_lang.php') )
  {
    include('bin/qte_lang.php');
    $strLangMenu = '';
    foreach ($arrLang as $strKey => $arrDef)
    {
    $strLangMenu .= '<a href="'.Href().'?'.GetURI('lx').'&amp;lx='.$strKey.'" title="'.$arrDef[1].'" class="'.($_SESSION[QT]['show_banner']=='1' ? 'banner' : 'nobanner').'">'.$arrDef[0].'</a> &middot; ';
    }
  }
  else
  {
    $strLangMenu .= '<span class="small">missing file:bin/qte_lang.php</span>';
  }
}  

// Contrast

if ( QTE_SHOW_CONTRAST )
{
  if ( !isset($strHeadScript) ) $strHeadScript='';
  $oHtml->links[] = '<link rel="stylesheet" type="text/css" href="bin/css/qte_contrast.css" title="cssalternate" />';
  $strHeadScript .= '<script type="text/javascript" src="bin/css/qte_contrast.js"></script>';
  $strLangMenu .= '<a class="css-default" href="javascript:chooseStyle(\'cssalternate\',60);"><img style="width:12px;height:12px;vertical-align:middle" src="bin/css/qte_contrast.gif" title="High contrast display" alt="Contrast" /></a><a class="css-alternate" href="javascript:chooseStyle(\'cssmain\',60);"><img style="width:12px;height:12px;border-width:0;vertical-align:middle" src="bin/css/qte_contrast.gif" title="Default display" alt="Contrast" /></a>';
}

// --------
// HTML START
// --------

global $oHtml;
  $oHtml->title = (empty($oVIP->selfname) ? '' : $oVIP->selfname.' - ').$oHtml->title;
  if ( !empty($strHeadScript) ) $oHtml->scripts[] = $strHeadScript;

echo $oHtml->Head();
echo $oHtml->Body(array('onload'=>(isset($strBodyAddOnload) ? $strBodyAddOnload : null),'onunload'=>(isset($strBodyAddOnunload) ? $strBodyAddOnunload : null)));

// PAGE

HtmlPageCtrl(0);

// BANNER

if ( $_SESSION[QT]['show_banner']=='1' ) { HtmlBanner(0,null,null,$strLangMenu); } else { HtmlBanner(1,null,null,$strLangMenu); }

// MENU LINE

$arrMenus = array(); // keys are: 'h' in header, 'f' in footer, 'n' name, 'u' url, 's' selected with url's, 'i' inactive with url's

if ( $_SESSION[QT]['home_menu']=='1' && !empty($_SESSION[QT]['home_url']) )
{
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$_SESSION[QT]['home_name'], 'u'=>$_SESSION[QT]['home_url']);
}
$arrMenus[]=array('h'=>false,'f'=>true, 'n'=>$L['Legal'], 'u'=>'qte_privacy.php');
//$arrMenus[]=array('h'=>QTE_SHOW_FAQMENU,'f'=>true, 'n'=>$L['FAQ'], 'u'=>'qte_faq.php');
$arrMenus[]=array('h'=>true, 'f'=>false,'n'=>ObjTrans('index','i',$_SESSION[QT]['index_name']), 'u'=>'qte_index.php', 's'=>'qte_index.php qte_calendar.php qte_members.php');
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Search'], 'u'=>( $_SESSION[QT]['board_offline']=='1' || ($oVIP->role=='V' && $_SESSION[QT]['visitor_right']<3) ? '' : 'qte_search.php'), 's'=>'qte_search.php qte_result.php', 'i'=>'');
if ( $oVIP->CanViewStats() ) 
{
$arrMenus[]=array('h'=>false,'f'=>true, 'n'=>$L['Statistics'], 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qte_stats.php'));
}
if ( $oVIP->auth )
{
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Profile'], 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qte_user.php?id='.$oVIP->id), 's'=>'qte_user.php qte_user_img.php.php qte_user_sign.php qte_user_pwd.php');
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Logout'], 'u'=>'qte_login.php?a=out');
}
else
{
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Register'], 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qte_register.php'), 's'=>'qte_register.php qte_form_reg.php', 'i'=>'qte_register.php');
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Login'], 'u'=>'qte_login.php');
}

echo '
<!-- menu -->
<div class="menu">
<div class="menuleft">',($oVIP->role=='V' ? AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_0.gif','-',$L['Ico_user_pZ'],'ico i_user') : AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',$L['Ico_user_p'],'ico i_user')),'&nbsp;',($oVIP->role=='V' ? $L['Userrole']['V'] : $oVIP->username),'</div>
<div class="menuright">
<ul>
';
foreach($arrMenus as $arrMenu) {
if ( $arrMenu['h'] ) {
  if ( !isset($arrMenu['s']) ) $arrMenu['s']=' '.$arrMenu['u'];
  if ( !isset($arrMenu['i']) ) $arrMenu['i']=' '.$arrMenu['u'];
  if ( empty($arrMenu['u']) )
  {
  echo '<li><span>',$arrMenu['n'],'</span></li>',PHP_EOL;
  }
  else
  {
  echo '<li'.(strstr($arrMenu['s'],$oVIP->selfurl) ? ' id="menuactif"' : '').'><a href="',Href($arrMenu['u']),'" '.(strstr($arrMenu['i'],$oVIP->selfurl) ? ' onclick="return false;"' : '').'>',$arrMenu['n'],'</a></li>',PHP_EOL;
  }
}}
echo '</ul>
</div>
</div>
';

// WELCOME

$b = true;
if ( in_array($oVIP->selfurl,array('qte_register.php','qte_form_reg.php','qte_change.php')) ) $b = false;
if ( $_SESSION[QT]['show_welcome']=='0' ) $b = false;
if ( $_SESSION[QT]['show_welcome']=='1' && $oVIP->auth) $b = false;
if ( $_SESSION[QT]['board_offline']=='1' ) $b = false;
if ( !file_exists(GetLang().'sys_welcome.txt') ) $b = false;
if ( $b )
{
echo '
<!-- welcome -->
<div class="welcome">';
include(Translate('sys_welcome.txt'));
echo '</div>
';
}

// MAIN

$ps = -1; // previous section
if ( isset($_SESSION[QT]['section']) ) {
if ( is_int($_SESSION[QT]['section']) ) {
if ( $_SESSION[QT]['section']>=0 ) {
  $ps = intval($_SESSION[QT]['section']);
}}}

echo '
<!-- MAIN CONTROL -->
<div class="body">
<div class="body_in">
';

echo '
<!-- top bar -->
<div class="bodyhd">
<div class="bodyhdleft"><img class="bodyhdleft" src="',$_SESSION[QT]['skin_dir'],'/ico_hd_left.gif" alt="" /><a class="body_hd" href="',Href('qte_index.php'),'"',($oVIP->selfurl=='qte_index.php' ? ' onclick="return false;"' : ''),'>',ObjTrans('index','i',$_SESSION[QT]['index_name']),'</a>';
if ( $ps>=0 ) {
  echo QTE_CRUMBTRAIL,'<a class="body_hd" href="',Href('qte_members.php'),'?s=',$ps,'"',($oVIP->selfurl=='qte_members.php' ? ' onclick="return false;"' : ''),'>',ObjTrans('sec',"s$ps",(isset($oSEC) ? $oSEC->name : $oVIP->sections[$ps])),'</a>';
  if ( $oVIP->selfurl=='qte_calendar.php' && isset($intYear) )
  {
  if ( !empty($intYear) ) echo QTE_CRUMBTRAIL,$intYear;
  }
}

echo '</div>
<div class="bodyhdright">';

switch($oVIP->selfurl)
{
case 'qte_members.php':
  if ( $oVIP->CanViewCalendar() )
  {
  echo '<a href="',Href('qte_calendar.php'),'?s=',$ps,'"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_f_c.gif" title="',$L['Ico_view_f_c'],'" alt="C" /></a> ';
  }
  if ( $_SESSION[QT]['viewmode']=='C' )
  {
  echo '<a href="',Href(),'?',GetURI('view'),'&amp;view=N"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N" /></a>';
  }
  else
  {
  echo '<a href="',Href(),'?',GetURI('view'),'&amp;view=C"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C" /></a>';
  }
  break;
case 'qte_result.php':
  if ( $_SESSION[QT]['viewmode']=='C' )
  {
  echo '<a href="',Href(),'?',GetURI('view'),'&amp;view=N"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N" /></a>';
  }
  else
  {
  echo '<a href="',Href(),'?',GetURI('view'),'&amp;view=C"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C" /></a>';
  }
  break;
case 'qte_calendar.php':
  if ( $ps>=0 ) echo '<a href="',Href('qte_members.php'),'?s=',$ps,'"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_f_n.gif" title="',$L['Ico_view_f_n'],'" alt="N" /></a>';
  break;
case 'qte_stats.php':
  break;
}

echo '&nbsp;<img class="bodyhdright" src="',$_SESSION[QT]['skin_dir'],'/ico_hd_right.gif" alt="" /></div>
</div>
';

// MAIN CONTENT

echo '
<!-- main content -->
<div class="bodyct">
';