<?php

// QuickTeam 2.5 build:20110323

$bCanUpload = false;
if ( $bEditing ) {
if ( $_SESSION[QT]['upload']=='1' || $oVIP->IsStaff() ) {
  $bCanUpload = true;
}}

function GetFileIcon($url,$name)
{
  $ext = strtolower(substr($url,strrpos($url, '.')+1));
  $img = 'doc';
  switch(strtolower($ext))
  {
  case 'jpg':
  case 'jpeg':
  case 'gif':
  case 'png': $img='img'; break;
  case 'rar':
  case 'tar':
  case 'zip': $img='zip'; break;
  case 'pdf': $img='pdf'; break;
  }
  return '<img src="admin/ico_'.$img.'.gif" width="20" height="20" style="vertical-align:middle" title="'.$ext.'"/> <a href="'.$url.'" target="_blank">'.$name.'</a>';
}
function GetFilePreview($url,$name)
{
  $ext = strtolower(substr($url,strrpos($url, '.')+1));
  $img = '<img src="admin/ico_doc.gif" style="width:40px;vertical-align:middle" title="'.$ext.'"/>';
  switch(strtolower($ext))
  {
  case 'jpg':
  case 'jpeg':
  case 'gif':
  case 'png': $img='<img src="'.$url.'" style="width:100px;max-height:100px;vertical-align:middle" title="'.$ext.'"/>'; break;
  case 'rar':
  case 'tar':
  case 'zip': $img='<img src="admin/ico_zip.gif" style="width:40px;vertical-align:middle" title="'.$ext.'"/>'; break;
  case 'pdf': $img='<img src="admin/ico_pdf.gif" style="width:40px;vertical-align:middle" title="'.$ext.'"/>'; break;
  }
  return '<a href="'.$url.'" target="_blank">'.$img.'</a>';
}

// --------
// SUBMITTED preview
// --------

if ( !isset($_SESSION[QT]['preview']) ) $_SESSION[QT]['preview']=false;
if ( isset($_POST['preview_ok']) ) $_SESSION[QT]['preview']=isset($_POST['preview']);

// --------
// SUBMITTED UPLOAD
// --------

if ( isset($_POST['ok']) )
{  
  $strFile = strtolower($_FILES['title']['name']);
  $strName = strip_tags($_POST['name']); if ( get_magic_quotes_gpc() ) $strName = stripslashes($strName);
  $strName = QTconv($strName,'3',QTE_CONVERT_AMP); if ( strlen($strName)>255 ) $strName = substr($strName,0,255);
  
  if ( empty($strName) ) $strName = $strFile;

  $strExt = substr(strrchr($strFile,'.'),1);
  $strFile = $id.'_'.date('Ymd').'_'.date('Hi').'_'.substr($strFile,0,4).'.'.$strExt;

  $strFileextensions = '';
  $strMimetypes = '';
  include('bin/qte_upload.php');
  if ( isset($arrFileextensions) ) {
  if ( !empty($arrFileextensions) ) {
  if ( is_array($arrFileextensions) ) {
    $strFileextensions = implode(',',$arrFileextensions);
  }}}
  if ( isset($arrMimetypes) ) {
  if ( !empty($arrMimetypes) ) {
  if ( is_array($arrMimetypes) ) {
    $strMimetypes = implode(',',$arrMimetypes);
  }}}

  // Check uploaded document
  
  $error = InvalidUpload($_FILES['title'],$strFileextensions,$strMimetypes,intval($_SESSION[QT]['uploadsize']));

  // Save

  if ( empty($error) )
  {
    $strDir = TargetDir(QTE_DIR_DOC,$id);
    if ( copy($_FILES['title']['tmp_name'],QTE_DIR_DOC.$strDir.$strFile) )
    {
      $oDB->Query( 'INSERT INTO '.TABDOC.' (id,docname,docfile,docpath,docdate) VALUES ('.$id.',"'.$strName.'","'.$strFile.'","'.$strDir.'","'.date('Ymd').'")' );
      $bUpload=true;
    }
    else
    {
      echo '<p class="error">Unable to copy the file. The directory /',QTE_DIR_DOC,' is probably not writeable...</p>';
    }
    unlink($_FILES['title']['tmp_name']);
  }
}

// --------
// SUBMITTED DELETE
// --------

if ( isset($_GET['del']) )
{
  $oDB->Query('SELECT * FROM '.TABDOC.' WHERE id='.$id.' AND docfile="'.urldecode($_GET['del']).'"');
  $row=$oDB->Getrow();
  if ( !empty($row) )
  {
    $oDB->Query( 'DELETE FROM '.TABDOC.' WHERE id='.$id.' AND docfile="'.$row['docfile'].'"' );
    if (file_exists(QTE_DIR_DOC.$row['docpath'].$row['docfile'])) unlink(QTE_DIR_DOC.$row['docpath'].$row['docfile']);
    $oVIP->exiturl = Href('qte_user.php').'?tt=d&amp;id='.$id;
    $oVIP->EndMessage(NULL,$L['S_delete'],$_SESSION[QT]['skin_dir'],2);
  }
  else
  {
    die('Unable to delete the file: Invalid document filename.');
  }
}

// --------
// HTML START
// --------

// -- QUERY DOCS (only registered user can view the documents) --

$arrDocs = array();
if ( $oVIP->role!='V' ) 
{
$oDB->Query('SELECT * FROM '.TABDOC.' WHERE id='.$id.' ORDER BY docdate DESC');
while ( $row=$oDB->Getrow() ) $arrDocs[] = $row;
}

// -- DISPLAY DOCS --

echo '
<table class="hidden" cellspacing="0">
<colgroup span="2"><col width="175"></col><col></col></colgroup>
<tr class="hidden">
<td class="hidden">
';
include('qte_user_inc.php');
echo '</td>',PHP_EOL;

echo '<td class="hidden">',PHP_EOL;

if ( !empty($error) ) echo '<span class="error">',$error,'</span>',PHP_EOL;

if ( $bEditing )
{ 
  if ( $_SESSION[QT]['upload']=='0' ) echo '<p class="colct disabled">',$L['E_no_upload'],'<br />',$L['R_staff'],'</p>';
  if ( $bCanUpload )
  { 
  echo '<form method="post" action="',Href('qte_user.php'),'?id='.$id.'&amp;tt=',$tt,'" enctype="multipart/form-data">',PHP_EOL;
  echo '<table class="data_o" cellspacing="0">',PHP_EOL;
  echo '<colgroup span="3"><col width="200"></col><col></col><col width="10"></col></colgroup>',PHP_EOL;
  echo '<tr class="data_o"><td class="colhd" colspan="3"></td></tr>',PHP_EOL;
  echo '<tr><td class="colhd colhdfirst">',$L['Document_add'],'</td><td class="colct"><input class="profile" type="file" name="title" id="title" size="35" /></td><td class="colct col_last">&nbsp;</td></tr>',PHP_EOL;
  echo '<tr><td class="colhd colhdfirst">',$L['Document_name'],'</td><td class="colct"><input class="profile" type="text" name="name" id="name" size="40" maxlength="255" /><input type="hidden" name="id" value="',$id,'"/><td class="colct col_last">&nbsp;</td></tr>',PHP_EOL;
  echo '<tr><td class="colhd right" colspan="3"><input type="submit" name="ok" value="',$L['Save'],'"/></td></tr>';
  echo '</table></form><br />',PHP_EOL;
  }
}

echo '<table class="data_o" cellspacing="0">
<colgroup span="3"><col width="130"></col><col></col><col width="150"></col></colgroup>
<tr class="data_o">
<td class="colhd colhdfirst colhdempty"></td>
<td class="colhd colhdempty"></td>
<td class="colhd colhdlast colhdempty"></td>
</tr>
';

foreach($arrDocs as $intId=>$arrDoc)
{
  $strCmd = '&nbsp;';
  if ( $bEditing )
  {
    $strCmd .= '<a class="small" href="'.Href('qte_change.php').'?u='.$id.'&amp;a=renamedoc&amp;v='.$arrDoc['docfile'].'">'.$L['Rename'].'</a> | ';
    $strCmd .= '<a class="small" href="'.Href().'?tt=d&amp;id='.$id.'&amp;del='.urlencode($arrDoc['docfile']).'">'.$L['Delete'].'</a>';
  }

  echo '<tr>';
  if ( file_exists(QTE_DIR_DOC.$arrDoc['docpath'].$arrDoc['docfile']) )
  {
    if ( $_SESSION[QT]['preview'] ) 
    {
      echo '<td class="colct center">',GetFilePreview(QTE_DIR_DOC.$arrDoc['docpath'].$arrDoc['docfile'],$arrDoc['docname']),'</td>',PHP_EOL;
      echo '<td class="colct"><a href="',QTE_DIR_DOC.$arrDoc['docpath'].$arrDoc['docfile'],'" target="_blank">',$arrDoc['docname'],'</a><br /><span class="small">',QTdatestr($arrDoc['docdate'],'$','',true),'</span></td>';
    }
    else
    {
      echo '<td class="colhd colhdfirst small">',QTdatestr($arrDoc['docdate'],'$','',true),'</td>',PHP_EOL;
      echo '<td class="colct">',GetFileIcon(QTE_DIR_DOC.$arrDoc['docpath'].$arrDoc['docfile'],$arrDoc['docname']),'</td>';
    }
  }
  else
  {
    echo '<td class="colhd colhdfirst small">',QTdatestr($arrDoc['docdate'],'$','',true),'</td>',PHP_EOL;
    echo '<td class="colct">';
    echo $arrDoc['docname'];
    echo '</td>';
  }
  echo '<td class="colct col_last">',$strCmd,'</td></tr>',PHP_EOL;
}
if ( count($arrDocs)==0 ) echo '<tr><td class="colct center" colspan="3">',($oVIP->role=='V' ? $L['R_user'] : $L['E_no_document']),'</td></tr>';
echo '<tr class="data_o">
<td class="colft colftfirst"></td>
<td class="colft"></td>
<td class="colft colftlast"></td>
</tr>
';
  
echo '</table>';

echo '
</td>
</tr>
</table>
';