<?php

// QuickTeam 2.5 build:20110323

// FUNCTION (can also get section by domain)

function GetMembership($id,$bByDomain=false)
{
  $arr = array();
  global $oDB,$oVIP;
  $oDB->Query('SELECT s.id,s.title,s.stats,s.options,s.type,s.domainid FROM '.TABSECTION.' s INNER JOIN '.TABS2U.' l  ON l.sid=s.id WHERE l.userid='.$id.' ORDER BY l.issuedate DESC');
  while ( $row=$oDB->Getrow() )
  { 
    if ( $bByDomain )
    {
    if ( $row['type']=='0' ) $arr[(int)$row['domainid']][(int)$row['id']] = $row;
    if ( $row['type']!='0' && $oVIP->IsStaff() ) $arr[(int)$row['domainid']][(int)$row['id']] = $row;
    }
    else
    {
    if ( $row['type']=='0' ) $arr[(int)$row['id']] = $row;
    if ( $row['type']!='0' && $oVIP->IsStaff() ) $arr[(int)$row['id']] = $row;
    }
  }
  return $arr;
}

// INITIALIZE

if ( $bEditing )
{
  if ( !$oVIP->IsStaff() ) $bEditing=false;
}
$intMembership = CountMembership($id);
$intDom = 0;
$intSec = 0;

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  $bEdited = false;
  if ( !isset($_POST['id'])  ) die('Missing id');
  $id = intval($_POST['id']);

  // -- ADD TO TEAM --

  if ( isset($_POST['addteam']) ) {
  if ( $_POST['addteam']!='no' ) {
    // update add team
    $oUser->InSection($_POST['addteam'],'add',$id);
    UpdateSectionStats(intval($_POST['addteam']));
    $bEdited = true;
  }}

  // -- REM FROM TEAM --

  if ( isset($_POST['delteam']) ) {
  if ( $_POST['delteam']!='no' ) {
    // update del team
    if ( $_POST['delteam']=='all' )
    {
      $arrMembership = GetMembership($id); // list sections that MUST have statistics updated after the delete
      $oDB->Query('DELETE FROM '.TABS2U.' WHERE sid<>0 AND userid='.$id);
      foreach(array_keys($arrMembership) as $intId) { if ( $intId>0 ) UpdateSectionStats($intId); }
      $bEdited = true;
    }
    else
    {
      $oUser->InSection($_POST['delteam'],'rem',$id);
      UpdateSectionStats(intval($_POST['delteam']));
      $bEdited = true;
    }
  }}
    
  // -- exit --
  
  if ( $bEdited ) $strInfo = $L['S_save'];
}

// --------
// HTML START
// --------

echo '
<table class="hidden" cellspacing="0">
<colgroup span="2"><col width="175"></col><col></col></colgroup>
<tr class="hidden">
<td class="hidden">
';
include('qte_user_inc.php');
echo '</td>',PHP_EOL;

echo '<td class="hidden">',PHP_EOL;

if ( !empty($error) ) echo '<span class="error">',$error,'</span>',PHP_EOL;

if ( $bEditing )
{ 
  $arrMembership = GetMembership($id);
  echo '<form method="post" action="',Href('qte_user.php'),'?id='.$id.'&amp;tt=',$tt,'">',PHP_EOL;
  echo '<table class="data_o" cellspacing="0">',PHP_EOL;
  echo '<colgroup span="3"><col width="200"></col><col></col><col width="10"></col></colgroup>',PHP_EOL;
  echo '<tr class="data_o"><td class="colhd" colspan="3"></td></tr>';
  echo '<tr class="data_o">';
  echo '<td class="colhd colhdfirst">',$L['User_section_add'],'</td>',PHP_EOL;
  echo '<td class="colct"><select name="addteam" id="addteam" size="1" onchange="bEdited=true;"><option value="no"> </option>',Sectionlist(-1,array(),array_keys($arrMembership)),'</select></td>',PHP_EOL;
  echo '<td class="colct col_last">&nbsp;</td>',PHP_EOL;
  echo '</tr>',PHP_EOL;
  echo '<tr class="data_o">';
  echo '<td class="colhd colhdfirst">',$L['User_section_del'],'</td>',PHP_EOL;
  echo '<td class="colct"><select name="delteam" id="delteam" size="1" onchange="bEdited=true;"><option value="no"> </option><option value="all">['.$L['All'].']</option><option value="-" disabled="disabled">----------</option>',QTasTag(QTarrget($arrMembership)),'</select></td>',PHP_EOL;
  echo '<td class="colct col_last">&nbsp;</td>',PHP_EOL;
  echo '</tr>',PHP_EOL;
  echo '<tr><td class="colhd right" colspan="3">';
  if ( !empty($error) ) echo '<span class="error">',$error,'</span> ';
  if ( empty($error) && !empty($warning) ) echo '<span class="warning">',$warning,'</span> ';
  if ( empty($error) && isset($strInfo) ) echo '<span id="infomessage">',$strInfo,'</span> ';
  echo '<input type="hidden" name="id" value="',$id,'"/><input type="submit" name="ok" value="',$L['Save'],'"/></td></tr>';
  echo '</table></form><br />';
}

// -----------
if ( $intMembership>0 ) {
// -----------

$arrSections = GetMembership($id,true);
foreach($oVIP->domains as $intDomid=>$strDomtitle)
{
  if ( isset($arrSections[$intDomid]) ) {
  if ( count($arrSections[$intDomid])>0 ) {

    $intDom++;
    if ( $intDom>1 ) echo '<div class="dom_separator"></div>',PHP_EOL;
    echo '<table class="data_s" cellspacing="0">',PHP_EOL;
    echo '<colgroup span="3"><col width="10"></col><col></col><col width="10"></col></colgroup>',PHP_EOL;
    echo '<thead>',PHP_EOL;
    echo '<tr class="data_s">';
    echo '<td class="colhd colhdfirst">&nbsp;</td><td class="colhd">',$strDomtitle,'</td><td class="colhd colhdlast">&nbsp;</td>',PHP_EOL;
    echo '</tr>',PHP_EOL;
    echo '</thead>',PHP_EOL;
    echo '<tfoot>',PHP_EOL;
    echo '<tr class="data_s">',PHP_EOL;
    echo '<td class="colft colftfirst"></td><td class="colft"></td><td class="colft colftlast"></td>',PHP_EOL;
    echo '</tr>',PHP_EOL;
    echo '</tfoot>',PHP_EOL;
    echo '<tbody>',PHP_EOL;

    foreach($arrSections[$intDomid] as $intSection=>$row)
    {
      $intSec++;
      $oSEC = new cSection($row);
      if ( $oSEC->type!=0 ) $oSEC->name .= ' '.AsImg($_SESSION[QT]['skin_dir'].'/ico_section_'.$oSEC->type.'_'.$oSEC->status.'.gif','[+]',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico','width:25px');
      $oSEC->descr .= (empty($oSEC->descr) ? '' : '<br />').'<a href="'.Href('qte_members.php').'?s='.$oSEC->id.'" class="small">'.LangS('User',$oSEC->members).'</a>';
      echo '<tr class="data_s">';
      echo '<td class="colct colfirst">&nbsp;</td>',PHP_EOL;
      echo '<td class="colct">';
      $oSEC->ShowInfo('sectioninfo_right','sectioninfo','sectiondesc','qte_members.php?s='.$oSEC->id);
      echo ' </td>',PHP_EOL;
      echo '<td class="colct td_u_last">&nbsp;</td>',PHP_EOL;
      echo '</tr>',PHP_EOL;
    }

    echo '</tbody>',PHP_EOL;
    echo '</table>',PHP_EOL;

  }}
}

// -----------
}
// -----------

if ( $intSec==0 ) TableEmpty($L['E_no_membership']);
if ( $intSec<$intMembership ) echo '<p class="small">'.$L['E_private_membership'].'</p>';
echo '
</td>
</tr>
</table>
';