<?php

// QuickTeam 2.5 build:20110323

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // generic

  foreach ($arrFLD as $strField=>$oFLD)
  {
    if ( empty($error) && isset($_POST[$strField]) )
    {
    if ( get_magic_quotes_gpc() ) { $str = stripslashes($_POST[$strField]); } else { $str = $_POST[$strField]; }
    $oUser->$strField = QTconv($str,'3',QTE_CONVERT_AMP); if ( strlen($oUser->$strField)>255) $oUser->$strField = substr($oUser->$strField,255);
    }
  }

  // firstname (if empty, uses username)

  if ( empty($_POST['lastname']) )
  {
    $oUser->lastname = $oUser->username;
  }

  // birthdate

  if ( empty($error) )
  {
    if ( empty($_POST['birthdate']) )
    {
      $oUser->birthdate = '0';
    }
    else
    {
      $str = QTdatestr(trim($_POST['birthdate']),'Ymd','',false);
      if ( !is_string($str) ) $error = ObjTrans('field','birthdate').' ('.$_POST['birthdate'].') '.$L['E_invalid'];
      if ( substr($str,0,6)=='Cannot' ) $error = ObjTrans('field','birthdate').' ('.$_POST['birthdate'].') '.$L['E_invalid'];
      // futur checking
      switch(ObjTrans('ffield','birthdate'))
      {
      case '0': if ( !QTisvaliddate($str,true,true) ) $error = ObjTrans('field','birthdate').' ('.$_POST['birthdate'].') '.$L['E_invalid'];
      case '1': if ( $str>intval(date('Ymd')) ) $error = $L['No_future'][1].' '.ObjTrans('field','birthdate').' ('.$_POST['birthdate'].') '.$L['E_invalid'];
      case '2': if ( !QTisvaliddate($str,true,false) ) $error = $L['No_future'][2].' '.ObjTrans('field','birthdate').' ('.$_POST['birthdate'].') '.$L['E_invalid'];
      }
      if ( empty($error) ) $oUser->birthdate = $str;
      if ( !empty($oUser->birthdate) ) $oUser->SetAge();
    }
  }

  // check www

  if ( empty($error) && isset($_POST['www']) )
  {
    $str = trim($_POST['www']);  if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $str = QTconv($str,'2'); if ( strlen($str)>255) $str = substr($str,0,255);
    if ( !empty($oUser->www) && substr($oUser->www,0,4)!='http' ) { $oUser->www=''; $error=ObjTrans('field','www').' '.$L['E_invalid']; }
    if ( $oUser->www=='http://' || $oUser->www=='https://' ) $oUser->www='';
  }

  // check emails

  if ( empty($error) && !empty($_POST['emails']) )
  {
    $_POST['emails'] = str_replace(' ;',',',$_POST['emails']);
    $arrEmails = explode(',',$_POST['emails']);
    foreach ($arrEmails as $strEmail)
    {
      if ( !QTismail(trim($strEmail)) ) $error=ObjTrans('ffield','emails').' '.$L['E_invalid'];
    }
    if ( empty($error) ) $oUser->emails = implode(',',$arrEmails);
  }

  // privacy

  if ( empty($error) )
  {
    foreach(array('address','emails','phones','www','coord') as $strKey)
    {
    $oUser->privacy = str_replace($strKey.';','',$oUser->privacy);
    if ( isset($_POST['hidden'.$strKey]) ) $oUser->privacy .= $strKey.';';
    }
  }

  // coord
  
  if ( empty($error) && isset($_POST['coord']) )
  {
    if ( get_magic_quotes_gpc() ) $_POST['coord'] = stripslashes($_POST['coord']);
    if ( !empty($_POST['coord']) )
    {
    $_POST['coord'] = QTstr2yx($_POST['coord']);
    if ($_POST['coord']===FALSE ) $error='Invalid coordinate format';
    }
  }

  // --- SAVE CHILD INFO (if any) ---

  if ( isset($_POST['coppastatus']) )
  {
    $strChilddate = '0';
    $strParentdate = '0';
    $strParentmail = '';

    // Check admin
    if ( $oUser->role=='A' && $_POST['coppastatus']!='0' ) $error = 'System administrator must have the coppa status Major';
  
    // childdate
    if ( empty($error) )
    {
      if ( !empty($_POST['birthdate']) )
      {
        $str = QTdatestr(trim($_POST['childdate']),'Ymd','',false);
        if ( !is_string($str) ) $error = 'Child registration date ('.$_POST['childdate'].') '.$L['E_invalid'];
        if ( substr($str,0,6)=='Cannot' ) $error = 'Child registration date ('.$_POST['childdate'].') '.$L['E_invalid'];
        if ( empty($error) ) $strChilddate = $str;
      }
    }
    // parentdate
    if ( empty($error) )
    {
      if ( !empty($_POST['parentdate']) )
      {
        $str = QTdatestr(trim($_POST['parentdate']),'Ymd','',false);
        if ( !is_string($str) ) $error = 'Parent agreement date ('.$_POST['childdate'].') '.$L['E_invalid'];
        if ( substr($str,0,6)=='Cannot' ) $error = 'Parent agreement date ('.$_POST['childdate'].') '.$L['E_invalid'];
        if ( empty($error) ) $strParentdate = $str;
      }
    }
    // check emails
    if ( empty($error) && !empty($_POST['parentmail']) )
    {
      $arrEmails = explode(' ; ',$_POST['parentmail']);
      foreach ($arrEmails as $strParentmail)
      {
        if ( !QTismail($strParentmail) ) $error='Parent email '.$L['E_invalid'];
      }
    }
    // save coppa
    if ( empty($error) )
    {
      $oDB->Query('UPDATE '.TABCHILD.' SET childdate="'.$strChilddate.'",parentdate="'.$strParentdate.'",parentmail="'.$strParentmail.'" WHERE id='.$id);
      $oDB->Query('UPDATE '.TABUSER.' SET children="'.$_POST['coppastatus'].'" WHERE id='.$id);
    }
  }
  // --- END SAVE CHILD INFO (if any) ---

  // SAVE
  if ( empty($error) )
  {
    include('bin/qt_lib_smtp.php');

    $strUpdate = '';
    foreach ($arrFLD as $strField=>$oFLD)
    {
      $strUpdate .= $strField.'="'.$oUser->$strField.'",';
    }
    $strUpdate .= 'privacy="'.$oUser->privacy.'"';
    $oDB->Query('UPDATE '.TABUSER.' SET '.$strUpdate.' WHERE id='.$id);  

    if ( $bMap ) {
    if ( isset($_POST['coord']) ) {      
    if ( !empty($_POST['coord']) ) {
      QTgpoint(TABUSER,$id,QTgety($_POST['coord']),QTgetx($_POST['coord']));
    }}}

    // check moderator name
    if ( $oUser->role=='A' || $oUser->role=='M' )
    {
      $strNewname = $oUser->firstname.' '.$oUser->lastname;
      if ( $strOldname!=$strNewname ) $oDB->Query('UPDATE '.TABSECTION.' SET modname="'.$strNewname.'" WHERE modid='.$id);
    }

    // check fullname
    $oUser->SetFullname();

    // update index
    $oUser->SaveKeywords($oUser->GetKeywords(GetFields('index_p')));

    // parent warning if coppa (and if edited by the kid himself)
    if ( $oUser->coppa != '0' ) {
    if ( $_SESSION[QT]['register_coppa']=='1' ) {
    if ( $oVIP->id==$id ) {
      $oDB->Query('SELECT parentmail FROM '.TABCHILD.' WHERE id='.$id);
      $row = $oDB->Getrow();
      $strSubject = $_SESSION[QT]['site_name'].' - Profile updated';
      $strMessage="Your children (login: %s) has modified his/her profile on the board {$_SESSION[QT]['site_name']}.";
      $strFile = GetLang().'mail_profile_coppa.php';
      if ( file_exists($strFile) ) include($strFile);
      $strMessage = sprintf($strMessage, $oUser->username);
      QTmail($row['parentmail'],QTconv($strSubject,'-4'),QTconv($strMessage,'-4'),QTE_HTML_CHAR);
    }}}

    // Exit
    $strInfo = $L['S_save'];
  }

}

// --------
// HTML START
// --------

// -- QUERY USER --

$strBirth_y = '';
$strBirth_m = '';
$strBirth_d = '';
if ( !empty($oUser->birthdate) )
{
  $strBirth_y = intval(substr(strval($oUser->birthdate),0,4));
  $strBirth_m = intval(substr(strval($oUser->birthdate),4,2));
  $strBirth_d = intval(substr(strval($oUser->birthdate),6,2));
}

// -- DISPLAY PROFILE --

echo '
<table class="hidden" cellspacing="0">
<colgroup span="2"><col width="175"></col><col></col></colgroup>
<tr class="hidden">
<td class="hidden">
';

  include('qte_user_inc.php');
  if ( $bEditing )
  echo '<div class="helpbox"><p class="helpbox title">',$L['Help'],'</p><p class="helpbox">',$L['H_hidden_fields'],'</p><p class="helpbox">',$L['H_semicolon_useredit'],'</p></div>';

echo '</td>',PHP_EOL;

echo '<td class="hidden">',PHP_EOL;

if ( $bEditing ) echo '<form method="post" action="',Href('qte_user.php'),'?id='.$id.'&amp;tt=',$tt,'">',PHP_EOL;
echo '<table class="data_o" cellspacing="0">',PHP_EOL;
echo '<colgroup span="3"><col width="130"></col><col></col><col width="120"></col></colgroup>',PHP_EOL;

echo '<tr class="data_o">
<td class="colhd colhdfirst colhdempty"></td>
<td class="colhd colhdempty"></td>
<td class="colhd colhdlast colhdempty"></td>
</tr>
';

// -------
foreach($arrFLD as $strField=>$oFLD) {
// -------

$strCol2 = '&nbsp;';
$strCol3 = '&nbsp;';

echo '<tr>',PHP_EOL;

// default display

if ( $bEditing )
{
  $strCol2 = InputFormat($strField,$oUser->$strField);
}
else
{
  if ( !empty($oUser->$strField) ) $strCol2 = AsFormat(AsList($oUser->$strField),$oFLD->format);
}

// special display

switch($strField)
{
case 'title':
  if ( $bEditing ) $strCol2 = InputFormat($strField,$oUser->$strField,true);
  break;

case 'lastname':
  if ( !$bEditing ) $strCol2 = '<span class="bold">'.$strCol2.'</span>';
  break;

case 'status':
  if ( $bEditing && $oVIP->IsStaff() )
  {
  $strCol2 = '<select class="profile" id="status" name="status" onchange="bEdited=true; if (this.value==\''.$oUser->status.'\' ) { document.getElementById(\'statusicon\').style.visibility=\'visible\'; } else {document.getElementById(\'statusicon\').style.visibility=\'hidden\'; }">'.QTasTag($oVIP->statuses,$oUser->status).'</select> <span id="statusicon">'.AsImg($_SESSION[QT]['skin_dir'].'/'.$oVIP->statuses[$oUser->status]['icon'],'','','ico i_status').'</span>';
  }
  else
  {
  $strCol2 = (isset($oVIP->statuses[$oUser->status]) ? $oVIP->statuses[$oUser->status]['statusname'].'&nbsp;'.AsImg($_SESSION[QT]['skin_dir'].'/'.$oVIP->statuses[$oUser->status]['icon'],'['.$oUser->status.']',$oVIP->statuses[$oUser->status]['statusdesc'],'ico i_status') : '(unknown status)');
  }
  break;

case 'birthdate':
  if ( $bEditing )
  {
    if ( empty($oUser->birthdate) ) { $str = ''; } else { $str = substr($oUser->birthdate,0,4).'-'.substr($oUser->birthdate,4,2).'-'.substr($oUser->birthdate,6,2); }
    $strCol2 = '<input class="profile" type="text" id="birthdate" name="birthdate" size="11" maxlength="11" value="'.$str.'" onchange="bEdited=true;"/> <a href="#" onclick="document.getElementById(\'birthdate\').value=\''.date('Y-m-d').'\';"><img src="'.$_SESSION[QT]['skin_dir'].'/ico_date.gif" alt="today" title="'.$L['dateSQL']['Today'].'" style="vertical-align:bottom"/></a> <span class="small">'.$L['H_Date'].'</span>';
    if ( $oUser->age<13 && $oUser->coppa==0 ) {
    if ( $oVIP->IsStaff() && $oUser->id>1 ) {
      $strCol3 = '<a class="small" href="'.Href('qte_change.php').'?a=userchild&amp;u='.$id.'&amp;v=1">'.$L['Coppa_apply'].'</a>';
    }}
    if ( $oUser->age>=13 && $oUser->coppa!=0 ) {
    if ( $oVIP->IsStaff() && $oUser->id>1 ) {
      $strCol3 = '<a class="small" href="'.Href('qte_change.php').'?a=userchild&amp;u='.$id.'&amp;v=0">'.$L['Coppa_notapply'].'</a>';
    }}
  }
  else
  {
    $strCol2 = (empty($oUser->birthdate) ? S : QTdatestr($oUser->birthdate,'$','',false));
    if ( !empty($oUser->age) ) $strCol2 .= ' ('.$oUser->age.')';
  }
  break;

case 'address':
  if ( $bEditing )
  {
    $strCol2 = InputFormat($strField,strip_tags($oUser->$strField),false,40,255);
    $strCol3 = '<input type="checkbox" id="hidden'.$strField.'" name="hidden'.$strField.'"'.(strstr($oUser->privacy,$strField) ? QCHE : '').' onchange="bEdited=true;"/> <label for="hidden'.$strField.'" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'</label>';
  }
  else
  {
    if ( $oVIP->IsStaff() || $oVIP->id==$id ) {
    if ( strstr($oUser->privacy,$strField) ) {
    $strCol3 = '<span class="small" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'<span>';
    }}
  }
  break;
case 'phones':
  if ( $bEditing )
  {
    $strCol2 = InputFormat($strField,strip_tags($oUser->$strField),false,40,255);
    $strCol3 = '<input type="checkbox" id="hidden'.$strField.'" name="hidden'.$strField.'"'.(strstr($oUser->privacy,$strField) ? QCHE : '').' onchange="bEdited=true;"/> <label for="hidden'.$strField.'" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'</label>';
  }
  else
  {
    if ( $oVIP->IsStaff() || $oVIP->id==$id ) {
    if ( strstr($oUser->privacy,$strField) ) {
    $strCol3 = '<span class="profile" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'<span>';
    }}
  }
  break;
case 'emails':  
  if ( $bEditing )
  {
    $strCol2 = InputFormat($strField,strip_tags($oUser->$strField),false,40,255);
    $strCol3 = '<input type="checkbox" id="hidden'.$strField.'" name="hidden'.$strField.'"'.(strstr($oUser->privacy,$strField) ? QCHE : '').' onchange="bEdited=true;"/> <label for="hidden'.$strField.'" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'</label>';
  }
  else
  {
    $arr = AsList($oUser->emails);
    foreach($arr as $intKey=>$strValue)
    {
      $arr[$intKey] = AsEmailText(trim($strValue),'mail_'.$oUser->id.'_'.$intKey,true,QTE_JAVA_MAIL,array('class'=>'small'));
    }
    $strCol2 = implode('<br />',$arr);
    if ( $oVIP->IsStaff() || $oVIP->id==$id ) {
    if ( strstr($oUser->privacy,$strField) ) {
    $strCol3 = '<span class="small" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'<span>';
    }}
  }
  break;
case 'www':
  if ( $bEditing )
  {
    $strCol2 = InputFormat($strField,(empty($oUser->www) ? 'http://' : $oUser->www),false,40,255);
    $strCol3 = '<input type="checkbox" id="hidden'.$strField.'" name="hidden'.$strField.'"'.(strstr($oUser->privacy,$strField) ? QCHE : '').' onchange="bEdited=true;"/> <label for="hidden'.$strField.'" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'</label>';
  }
  else
  {
    if ( !empty($oUser->www) )
    {
    $arr = AsList($oUser->www);
    foreach($arr as $intKey=>$strValue) $arr[$intKey] = AsUrl(trim($strValue),true,array('class'=>'small','target'=>'_blank','label'=>DropHttp($strValue)));
    $strCol2 = implode('<br />',$arr);
    }
    if ( $oVIP->IsStaff() || $oVIP->id==$id ) {
    if ( strstr($oUser->privacy,$strField) ) {
    $strCol3 = '<span class="small" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'<span>';
    }}
  }
  break;

case 'nationality':
  if ( $bEditing )
  {
    $strCol2 = InputFormat($strField,$oUser->$strField,true);
  }
  break;

case 'sexe':
  if ( $bEditing )
  {
    $strCol2 = InputFormat($strField,$oUser->$strField,true);
  }
  break;
}

echo '<td class="colhd colhdfirst">',ObjTrans('field',$strField),'</td>',PHP_EOL;
echo '<td class="colct">',$strCol2,'</td>',PHP_EOL;
echo '<td class="colct" style="text-align:right">',$strCol3,'</td>',PHP_EOL;
echo '</tr>',PHP_EOL;

// -------
}
// -------

if ( $bMap )
{
  $strCol1 = $L['Coord'];
  $strCol2 = S;
  $strCol3 = S;  
  if ( $bEditing )
  {
    $strCol2 = '<input type="text" class="small" id="m_map_coord" name="coord" size="40" value="'.(!empty($oUser->y) ? $oUser->y.','.$oUser->x : '').'"/> <span class="small">'.$L['Coord_latlon'].'</span>';
    $strCol3 = '<input type="checkbox" id="hiddencoord" name="hiddencoord"'.(strstr($oUser->privacy,'coord') ? QCHE : '').' onchange="bEdited=true;"/> <label for="hiddencoord" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'</label>';
  }
  else
  {
    if ( !empty($oUser->y) && !empty($oUser->x) ) $strCol2 = QTdd2dms(floatval($oUser->y)).', '.QTdd2dms(floatval($oUser->x)).' '.$L['Coord_latlon'].' <span class="small disabled">DD '.round(floatval($oUser->y),8).','.round(floatval($oUser->y),8).'</span>'.(isset($strPlink) ? S.$strPlink : S);
    if ( $oVIP->IsStaff() || $oVIP->id==$id ) {
    if ( strstr($oUser->privacy,'coord') ) {
    $strCol3 = '<span class="small" title="'.$L['Hidden_info'].'">'.$L['Hidden'].'<span>';
    }}
  }  
  echo '<tr>',PHP_EOL;
  echo '<td class="colhd colhdfirst">',$strCol1,'</td>',PHP_EOL;
  echo '<td class="colct">',$strCol2,'</td>',PHP_EOL;
  echo '<td class="colct" style="text-align:right">',$strCol3,'</td>',PHP_EOL;
  echo '</tr>',PHP_EOL;
}

// COPPA CHILD

if ( $oUser->coppa!='0' ) {
if ( $_SESSION[QT]['register_coppa']=='1' ) {
if ( $oVIP->IsStaff() ) {

  echo '<tr><td class="colhd" colspan="3">&nbsp;</td></tr>';

  echo '<tr>',PHP_EOL;
  echo '<td class="colhd colhdfirst">',$L['Coppa_status'],'</td>',PHP_EOL;
  echo '<td class="colct">';
  if ( $bEditing )
  {
    echo '<select name="coppastatus" size="1" onchange="bEdited=true;"/>';
    echo QTasTag($L['Coppa_child'],$oUser->coppa);
    echo '</select>';
  }
  else
  {
  echo $L['Coppa_child'][$oUser->coppa];
  }
  echo '</td><td class="colct">&nbsp;</td>',PHP_EOL;
  echo '</tr>',PHP_EOL;

  $oDB->Query('SELECT * FROM '.TABCHILD.' WHERE id='.$id);
  $row = $oDB->Getrow();

  echo '<tr>',PHP_EOL;
  echo '<td class="colhd colhdfirst">',$L['Coppa_registration_date'],'</td>',PHP_EOL;
  if ( $bEditing )
  {
    if ( empty($row['childdate']) ) { $str = ''; } else { $str = substr($row['childdate'],0,4).'-'.substr($row['childdate'],4,2).'-'.substr($row['childdate'],6,2); }
    echo '<td class="colct"><input type="text" id="childdate" name="childdate" size="11" maxlength="11" value="',$str,'" onchange="bEdited=true;"/> <a href="#" onclick="document.getElementById(\'childdate\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a> <span class="small">',$L['H_Date'],'</span></td></td><td class="colct">&nbsp;</td>',PHP_EOL;
  }
  else
  {
    echo '<td class="colct">',(!empty($row['childdate']) ? QTdatestr($row['childdate'],'$','',false) : ''),'</td><td class="colct">&nbsp;</td>';
  }
  echo '</tr>',PHP_EOL;

  echo '<tr>',PHP_EOL;
  echo '<td class="colhd colhdfirst">',$L['Coppa_agreement_date'],'</td>',PHP_EOL;
  if ( $bEditing )
  {
    if ( empty($row['parentdate']) ) { $str = ''; } else { $str = substr($row['parentdate'],0,4).'-'.substr($row['parentdate'],4,2).'-'.substr($row['parentdate'],6,2); }
    echo '<td class="colct"><input type="text" id="parentdate" name="parentdate" size="11" maxlength="11" value="',$str,'" onchange="bEdited=true;"/> <a href="#" onclick="document.getElementById(\'parentdate\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a> <span class="small">',$L['H_Date'],'</span></td></td><td class="colct">&nbsp;</td>',PHP_EOL;
  }
  else
  {
    echo '<td class="colct">',(!empty($row['parentdate']) ? QTdatestr($row['parentdate'],'$','',false) : ''),'</td><td class="colct">&nbsp;</td>';
  }
  echo '</tr>',PHP_EOL;

  echo '<tr>',PHP_EOL;
  echo '<td class="colhd colhdfirst">',$L['Parent_mail'],'</td>',PHP_EOL;
  echo '<td class="colct">';
  if ( $bEditing )
  {
    echo '<input class="small" type="text" id="parentmail" name="parentmail" size="40" maxlength="255" value="',$row['parentmail'],'" onchange="bEdited=true;"/>';
  }
  else
  {
    echo '<a href="mailto:',$row['parentmail'],'" class="small">',$row['parentmail'],'</a>';
  }
  echo '</td><td class="colct">&nbsp;</td>',PHP_EOL;
  echo '</tr>',PHP_EOL;

}}}

if ( $bEditing )
{
  echo '<tr><td class="colhd right" colspan="3">';
  if ( !empty($error) ) echo '<span class="error">',$error,'</span> ';
  if ( empty($error) && !empty($warning) ) echo '<span class="warning">',$warning,'</span> ';
  if ( empty($error) && isset($strInfo) ) echo '<span id="infomessage">',$strInfo,'</span> ';
  echo '<input type="hidden" name="id" value="',$id,'"/><input type="submit" name="ok" value="',$L['Save'],'"/></td></tr>';
}

echo '<tr class="data_o">
<td class="colft colftfirst"></td>
<td class="colft"></td>
<td class="colft colftlast"></td>
</tr>
</table>
';

if ( $bMap )
{  
  if ( $bEditing )
  {
    $strPosition = '<p class="small" style="margin:2px 0 4px 2px;text-align:right">'.$L['map']['cancreate'];
    $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="bEdited=true; createMarker(); return false;" title="'.$L['map']['H_pntadd'].'"/>'.$L['map']['pntadd'].'</a>';
    if ( !empty($oUser->x) || !empty($oUser->y) )
    {
      $strPosition = '<p class="small" style="margin:2px 0 4px 2px;text-align:right">'.$L['map']['canmove'];
      $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="deleteMarker(); return false;"/>'.$L['map']['pntdelete'].'</a>';
    }
    $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="undoChanges(); return false;"/>'.$L['map']['undo'].'</a></p>';
    $strPosition .= '
    <div id="map_canvas" style="width:100%; height:345px;"></div>
    <input type="hidden" id="m_map_gcenter" name="m_map_gcenter" value="'.(!empty($oUser->y) ? $oUser->y.','.$oUser->x : '').'"/>
    ';
    $strPosition .= '<p class="small" style="margin:4px 0 2px 2px;text-align:right">'.$L['map']['addrlatlng'].' <input type="text" size="24" id="find" name="find" class="small" value="'.$_SESSION[QT]['m_map_gfind'].'" onkeyup="Keypress(event,\'findit\')" title="'.$L['map']['H_addrlatlng'].'"/> <input type="submit" id="findit" class="small" onclick="showLocation(document.getElementById(\'find\').value); return false;" value="'.$L['Search'].'"/></p>';
  }
  else
  {
    $strPosition .= '<div id="map_canvas" style="width:100%; height:340px;"></div>';
    if ( empty($oUser->x) || empty($oUser->y) ) $strPosition = '<span class="gmap">'.$L['map']['E_noposition'].'</span>';
  }
  // Show map
  echo '<div class="gmap" style="margin-top:10px">',$strPosition,'</div>';
}

if ( $bEditing ) echo '</form>';

echo '
</td>
</tr>
</table>
';