<?php

// QuickTeam 2.5 build:20110323

ob_start();

$bShowtoc = false;
if ( substr($oVIP->selfurl,0,7)=='qte_adm' || substr($oVIP->selfurl,0,5)=='qtem_' ) $bShowtoc=true;

$oHtml->links = array('<link rel="shortcut icon" href="admin/qte_icon.ico" />','<link rel="stylesheet" type="text/css" href="admin/qte_main.css" />');

if ( !empty($strHeadScript) ) $oHtml->scripts[] = $strHeadScript;

echo $oHtml->Head();
echo $oHtml->Body(array('onload'=>(isset($strBodyAddOnload) ? $strBodyAddOnload : null),'onunload'=>(isset($strBodyAddOnunload) ? $strBodyAddOnunload : null)));

echo '
<!-- MENU/PAGE -->
<table style="width:900px" cellspacing="0" cellpadding="0">
<tr valign="top">
<td style="',($bShowtoc ? 'width:170px;' : 'width:1px;'),' vertical-align:top;">
';

if ( $bShowtoc )
{

echo '
<!-- TOC -->
<div class="menu">
<div class="banner"><img class="logo" id="toc_logo" src="admin/qte_logo.gif" style="border-width:0" alt="QuickTeam" title="QuickTeam" /></div>
<div class="header">',strtoupper($L['Administration']),'</div>
';

if ( file_exists('bin/qte_lang.php') )
{
  include('bin/qte_lang.php');
  $strLangMenu = '';
  foreach($arrLang as $strKey=>$arrDef)
  {
  $strLangMenu .= '<a class="small" href="'.$_SERVER['PHP_SELF'].'?'.GetURI('lx').'&amp;lx='.$strKey.'" title="'.$arrDef[1].'" onclick="return qtEdited(bEdited,\''.$L['E_editing'].'\');">'.$arrDef[0].'</a>&nbsp;';
  }
}
else
{
  $strLangMenu .= '<span class="small">missing file:bin/qte_lang.php</span>';
}

echo '<p class="language">',$strLangMenu,'</p>
';

$str = 'return qtEdited(bEdited,\''.$L['E_editing'].'\');';
echo '<div class="group">
<p class="group">',$L['Info'],'</p>
<p class="item"><a href="qte_adm_index.php" onclick="'.($oVIP->selfurl=='qte_adm_index.php' ? 'return false;' : $str).'">',$L['Adm_status'],'</a></p>
<p class="item"><a href="qte_adm_site.php" onclick="'.($oVIP->selfurl=='qte_adm_site.php' ? 'return false;' : $str).'">',$L['Adm_general'],'</a></p>
</div>
<div class="group">
<p class="group">',$L['Adm_settings'],'</p>
<p class="item"><a href="qte_adm_region.php" onclick="'.($oVIP->selfurl=='qte_adm_region.php' ? 'return false;' : $str).'">',$L['Adm_region'],'</a></p>
<p class="item"><a href="qte_adm_skin.php" onclick="'.($oVIP->selfurl=='qte_adm_skin.php' ? 'return false;' : $str).'">',$L['Adm_layout'],'</a></p>
<p class="item"><a href="qte_adm_secu.php" onclick="'.($oVIP->selfurl=='qte_adm_secu.php' ? 'return false;' : $str).'">',$L['Adm_security'],'</a></p>
<p class="item"><a href="qte_adm_fields.php" onclick="'.($oVIP->selfurl=='qte_adm_fields.php' ? 'return false;' : $str).'">',$L['Field_man'],'</a></p>
</div>
<div class="group">
<p class="group">',$L['Adm_content'],'</p>
<p class="item"><a href="qte_adm_sections.php" onclick="'.($oVIP->selfurl=='qte_adm_sections.php' ? 'return false;' : $str).'">',$L['Sections'],'</a></p>
<p class="item"><a href="qte_adm_users.php" onclick="'.($oVIP->selfurl=='qte_adm_users.php' ? 'return false;' : $str).'">',$L['Users'],'</a></p>
<p class="item"><a href="qte_adm_statuses.php" onclick="'.($oVIP->selfurl=='qte_adm_statuses.php' ? 'return false;' : $str).'">',$L['Statuses'],'</a></p>
</div>
<div class="group">
<p class="group">',$L['Adm_modules'],'</p>
';

// search modules
$arrModules = GetParam(false,'param LIKE "module%"');
if ( count($arrModules)>0 )
{
  foreach($arrModules as $strKey=>$strValue)
  {
  $strKey = str_replace('module_','',$strKey);
  echo '<p class="item"><a href="qtem_',$strKey,'_adm.php" onclick="return qtEdited(bEdited,\''.$L['E_editing'].'\');">',$strValue,'</a></p>',PHP_EOL;
  }
}
echo '<p class="item"><a href="qte_adm_module.php?a=add" onclick="return qtEdited(bEdited,\''.$L['E_editing'].'\');">[',$L['Add'],']</a>&nbsp;&middot;&nbsp;<a class="menu" href="qte_adm_module.php?a=rem" onclick="return qtEdited(bEdited,\''.$L['E_editing'].'\');">[',$L['Remove'],']</a></p>
</div>
<div class="footer"><a href="qte_index.php" target="_top" onclick="return qtEdited(bEdited,\''.$L['E_editing'].'\');">',$L['Exit'],'</a></div>
</div>
';

}

// --------------
// END TABLE OF CONTENT
// --------------

echo '
</td>
<td style="padding-left:10px;vertical-align:top">
<!-- END MENU/PAGE -->
';

HtmlPageCtrl(0,'100%');

HtmlBanner(2,'admin');

// Title (and help frame)

echo '<div style="width:300px; margin-bottom:5px">
<h1>',$oVIP->selfname,'</h1>
';
if ( isset($strPageversion) ) echo '<p class="small">',$strPageversion,'</p>';
echo '<p id="message">&nbsp;';
if ( !empty($error) ) echo '<span id="infomessage" class="error">',$error,'</span>';
if ( empty($error) && !empty($warning) ) echo '<span class="warning">',$warning,'</span>';
if ( empty($error) && isset($strInfo) ) echo '<span id="infomessage" class="info">',$strInfo,'</span>';
echo '</p>
</div>
';

if ( file_exists(Translate($oVIP->selfurl.'.txt')) )
{
  echo '<div style="width:400px; position:absolute; top:15px; left:495px; border:solid 1px #eeeeee;">';
  echo '<div class="hlp_head">',$L['Help'],'</div>';
  echo '<div class="hlp_body"><span id="helparea">';
  include(Translate($oVIP->selfurl.'.txt'));
  echo '</span></div></div>';
}

// animation of the infomessage (errors remains on screen)
if ( isset($strInfo) )
{
echo '
<script type="text/javascript">
<!--
setTimeout(\'document.getElementById("infomessage").style.color="#bbbbbb"\',3000);
setTimeout(\'document.getElementById("infomessage").style.color="#cccccc"\',3300);
setTimeout(\'document.getElementById("infomessage").style.color="#dddddd"\',3600);
setTimeout(\'document.getElementById("infomessage").innerHTML="&nbsp;"\',3900);
-->
</script>
';
}